VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::vmon::ServiceTypes::Info Class Reference

The `Service.Info` class contains information about a service. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetNameKey ()
| Service name key.
void | SetNameKey (string nameKey)
| Service name key.
string | GetDescriptionKey ()
| Service description key.
void | SetDescriptionKey (string descriptionKey)
| Service description key.
vmware.appliance.vmon.ServiceTypes.StartupType | GetStartupType ()
| Startup Type.
void | SetStartupType (vmware.appliance.vmon.ServiceTypes.StartupType startupType)
| Startup Type.
vmware.appliance.vmon.ServiceTypes.State | GetState ()
| Running State.
void | SetState (vmware.appliance.vmon.ServiceTypes.State state)
| Running State.
vmware.appliance.vmon.ServiceTypes.Health | GetHealth ()
| Health of service.
void | SetHealth (vmware.appliance.vmon.ServiceTypes.Health health)
| Health of service.
global::System.Collections.Generic.List < vmware.vapi.std.LocalizableMessage > | GetHealthMessages ()
| Localizable messages associated with the health of the service.
void | SetHealthMessages (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > healthMessages)
| Localizable messages associated with the health of the service.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Service.Info` class contains information about a service.

## Constructor & Destructor Documentation

vmware::appliance::vmon::ServiceTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::vmon::ServiceTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::vmon::ServiceTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::vmon::ServiceTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::vmon::ServiceTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::vmon::ServiceTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::vmon::ServiceTypes::Info::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::vmon::ServiceTypes::Info::GetDescriptionKey | ( |  | ) | `[inline]`

Service description key.

Can be used to lookup resource bundle

override int vmware::appliance::vmon::ServiceTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.vmon.ServiceTypes.Health vmware::appliance::vmon::ServiceTypes::Info::GetHealth | ( |  | ) | `[inline]`

Health of service.

global::System.Collections.Generic.List<vmware.vapi.std.LocalizableMessage> vmware::appliance::vmon::ServiceTypes::Info::GetHealthMessages | ( |  | ) | `[inline]`

Localizable messages associated with the health of the service.

string vmware::appliance::vmon::ServiceTypes::Info::GetNameKey | ( |  | ) | `[inline]`

Service name key.

Can be used to lookup resource bundle

vmware.appliance.vmon.ServiceTypes.StartupType vmware::appliance::vmon::ServiceTypes::Info::GetStartupType | ( |  | ) | `[inline]`

Startup Type.

vmware.appliance.vmon.ServiceTypes.State vmware::appliance::vmon::ServiceTypes::Info::GetState | ( |  | ) | `[inline]`

Running State.

void vmware::appliance::vmon::ServiceTypes::Info::SetDescriptionKey | ( | string | descriptionKey | ) | `[inline]`

Service description key.

Can be used to lookup resource bundle

void vmware::appliance::vmon::ServiceTypes::Info::SetHealth | ( | vmware.appliance.vmon.ServiceTypes.Health | health | ) | `[inline]`

Health of service.

void vmware::appliance::vmon::ServiceTypes::Info::SetHealthMessages | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | healthMessages | ) | `[inline]`

Localizable messages associated with the health of the service.

void vmware::appliance::vmon::ServiceTypes::Info::SetNameKey | ( | string | nameKey | ) | `[inline]`

Service name key.

Can be used to lookup resource bundle

void vmware::appliance::vmon::ServiceTypes::Info::SetStartupType | ( | vmware.appliance.vmon.ServiceTypes.StartupType | startupType | ) | `[inline]`

Startup Type.

void vmware::appliance::vmon::ServiceTypes::Info::SetState | ( | vmware.appliance.vmon.ServiceTypes.State | state | ) | `[inline]`

Running State.

override string vmware::appliance::vmon::ServiceTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceTypes.cs